p {
    font-size: 22px;    
    text-indent: 50px;
}

div {
    position: relative; 
    left: 50%;   
}

img {
    width: 300px;
    height: 300px;
    z-index: -2;
    position: absolute;
}

img[src*="1"] {    
    left: -300px;
    top: 0px;
}

img[src*="2"] {    
    left: 0px;
    top: 0px;
}

img[src*="4"] {    
    left: -150px;
    top: 300px;
}

img[src*="3"] {    
    left: -150px;
    top: 150px;    
}

img[src*="1"]:hover {
    left: -150px;
    top: 150px;
    z-index: -1;
}

img[src*="1"]:hover ~ img[src*="3"] {
    left: -300px;
    top: 0px;
}

img[src*="2"]:hover {
    left: -150px;
    top: 150px;
    z-index: -1;
}

img[src*="2"]:hover ~ img[src*="3"] {
    left: 0px;
    top: 0px;
}

img[src*="4"]:hover {
    left: -150px;
    top: 150px;
    z-index: -1;
}

img[src*="4"]:hover ~ img[src*="3"] {
    left: -150px;
    top: 300px;
}

img[src*="fix"] {
    position: fixed;
    opacity: 0.5;
    top: 600px;
}